VARKON Version 1.15 1997-10-24

> ## b_plane - Geometric procedure

> Creates a bounded plane
> Description
> Creates a plane surface bounded by three or four straight lines. An order set of corner positions are used to define the boundary. B_planes can be used to create faceted images with hidden lines automatically removed. Viewed from its positiv side (the side where the normal points) a b_plane will hide everything behind it. Viewed from its negative side a b_plane does not hide other entities.
> Syntax
> b_plane(id, p1, p2, p3, p4:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;
> VECTOR | p3:
> VECTOR | p4;

> Principal parameters

> id | - Local identity
> p1 | - First corner
> p2 | - Second corner, may be set equal to p3
> p3 | - Third corner, may be set equal to p2
> p4 | - Fourth corner

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> b_plane(#1,vec(0,0,0),vec(100,0,0),vec(100,50,0),vec(0,50,0));
> Creates a four sided B-plane 100 by 50 units in size located in the XY-plane of the active coordinate system. The normal points in the same direction as the positive Z-axis of the active coordinate system.
> Comments
> Starting in p1 moving on to p2, p3 and p4 in that order must define a convex polygon. All corners must be in the same (untwisted) plane. If p2 is set equal to p3 a triangular plane is created otherwise the plane will be bounded by four lines. The normal direction of the plane is defined by the side where traveling from p1 to p4 will form an anticlockwise rotation.

VARKON Homepage | Index